Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Epsilon » Emfatic/Eugenia(Problem Generating Emfatic file or .emf file from ecore)
Emfatic/Eugenia [message #1008028] Fri, 08 February 2013 10:18 Go to next message
Joshua Nwokeji is currently offline Joshua Nwokeji
Messages: 89
Registered: January 2013
Member
Dear All.

I tried to generate emfatic file from ecore model by right clicking and selecting generate emfatic source from .ecore model but it keep giving me this message

"The chosen opeartion is not currently available"

Secondly I tried to start up a new emfatic file via File->New->other->select a
wizard, and I got this error message below:

"The selected wizard could not be started.
Plug-in org.eclipse.emf.emfatic.ui was unable to load class
org.eclipse.emf.emfatic.ui.wizards.EmfaticNewWizard.
org/eclipse/emf/emfatic/ui/wizards/EmfaticNewWizard : Unsupported
major.minor version 51.0"

I am new to Emfatic and Eugenia. I have downloaded and installed the eclipse epsilon, and also installed the updates using the following link

http://eclipse.org/epsilon/download/.

I am a Mac OS user, and I think the JRE in my eclipse is 1.6.0.

Please can anyone help.

Regards

Joshua


Re: Emfatic/Eugenia [message #1008035 is a reply to message #1008028] Fri, 08 February 2013 10:42 Go to previous messageGo to next message
Dimitris Kolovos is currently offline Dimitris Kolovos
Messages: 698
Registered: July 2009
Senior Member
Hi Joshua,

This looks like a Java version issue. Could you please update to Java 1.7 from [1] and let me know if doing so solves this problem?

Cheers,
Dimitris

[1] http://java.com/en/download/manual.jsp
Re: Emfatic/Eugenia [message #1008071 is a reply to message #1008035] Fri, 08 February 2013 12:50 Go to previous messageGo to next message
Joshua Nwokeji is currently offline Joshua Nwokeji
Messages: 89
Registered: January 2013
Member
Thanks Dimitris,

I tried to install Java 1.7 using this link, but it said that the link is for higher version of mac, i.e Mac osx Lion, the version of mac I am using is 10.6.8. Please can you send me the Link to update to java 1.7 in mac osx 10.6.8.

Regards

Joshua
Re: Emfatic/Eugenia [message #1008125 is a reply to message #1008071] Sun, 10 February 2013 04:11 Go to previous messageGo to next message
Dimitris Kolovos is currently offline Dimitris Kolovos
Messages: 698
Registered: July 2009
Senior Member
Hi Joshua,

It appears that 1.7 is not available for Snow Leopard so I've reverted the Emfatic update site to use 1.6 and added a note to http://eclipse.org/epsilon/download/. Could you please update Emfatic from the following update site and let me know if it works?

http://download.eclipse.org/emfatic/update/

Cheers,
Dimitris
Re: Emfatic/Eugenia [message #1008181 is a reply to message #1008125] Mon, 11 February 2013 05:04 Go to previous message
Joshua Nwokeji is currently offline Joshua Nwokeji
Messages: 89
Registered: January 2013
Member
Thank you very much Dimitris, its now working and I am up and running.

Regards

Joshua
Previous Topic:How to generate preserved regions from EGL @template operation
Next Topic:Epsilon Development Tools on Eclipse 4.3
Goto Forum:
  


Current Time: Thu Apr 17 08:31:34 EDT 2014

Powered by FUDForum. Page generated in 0.02319 seconds